require "import"
import "java.text.SimpleDateFormat"
import "java.util.Date"
import "android.content.Context"
import "android.content.Intent"
import "android.content.IntentFilter"
import "android.os.BatteryManager"

-- Function to speak temperature
function speakTemperature(context)
    -- Get current time
    local formattedTime = SimpleDateFormat("hh:mm a").format(Date())
    
    -- Get battery level
    local batteryIntent = context.registerReceiver(nil, IntentFilter(Intent.ACTION_BATTERY_CHANGED))
    local level = batteryIntent.getIntExtra(BatteryManager.EXTRA_LEVEL, -1)
    local scale = batteryIntent.getIntExtra(BatteryManager.EXTRA_SCALE, -1)
    local batteryPercent = (level / scale) * 100
    
    -- Get temperature
    local temperatureIntent = context.registerReceiver(nil, IntentFilter(Intent.ACTION_BATTERY_CHANGED))
    local temperature = temperatureIntent.getIntExtra(BatteryManager.EXTRA_TEMPERATURE, 0) / 10
    
    -- Create and speak the message
    local message = "The time is " .. formattedTime .. ", the battery level is " .. string.format("%.0f", batteryPercent) .. "%, and the temperature is " .. temperature .. "°C."
    context.speak(message)
end

-- Call the function
speakTemperature(this)

return true
